#HVTC-ted makefile by Hermit

HVTC_ORIGINAL_ZIPFILE=hvtc_20200819.zip
HVTC_ORIGINAL_URL=https://plus4world.powweb.com/feat/tedsound/$(HVTC_ORIGINAL_ZIPFILE)


all: HVTCted info ted

ted: HVTCted $(HVTC_ORIGINAL_ZIPFILE) player-new
	-unzip -o  $(HVTC_ORIGINAL_ZIPFILE)  "player/*"
	./HVTCted player
	./HVTCted player-new

$(HVTC_ORIGINAL_ZIPFILE):
	-wget $(HVTC_ORIGINAL_URL) --continue

info: HVTCted html
	./HVTCted html

HVTCted: HVTCted.c
	gcc HVTCted.c -o HVTCted -s

test:
	crted HVTC-playlist.tel

install:
	cp HVTCted /usr/local/bin

clean:
	rm -f -R HVTC-ted HVTC-info # html/info edits/missing-info

uninstall:
	rm -f /usr/local/bin/HVTCted

purge: uninstall clean
